// Prevents Healer blocks from pixelmon from being picked up
onEvent('block.loot_tables', event => {
    event.addBlock(/^pixelmon:.*healer/, table => { // Build loot table manually
        table.addPool(pool => {
        pool.rolls = 1 // fixed
        // pool.rolls = [4, 6] // or {min: 4, max: 6} // uniform
        // pool.rolls = {n: 4, p: 0.3} // binominal
        pool.addItem('pixelmon:white_healer', 0, [0])
        pool.addItem("minecraft:dirt").name(Text.of('Exploit Patched').red())
        //pool.addItem('minecraft:dirt', 40) // 40 = weight
        //pool.addItem('minecraft:dirt', 40, [4, 8]) // [4-8] = count modifier, uses same syntax as rolls
        // pool.addCondition({json condition, see vanilla wiki})
        // pool.addEntry({json entry, see vanilla wiki for non-items})
        })
    })
})

// Prevents creation of Drac Evo Stabalized Spawners, and blocks "spawn eggs changing"
onEvent("block.right_click", event => {
    if (event.block == "minecraft:spawner"){
        event.cancel()
    }
})